Squiz CMS Multiple Cross Site Scripting and XML External Entity Injection Vulnerabilities

2012-06-14T00:00:00
ID EDB-ID:37416
Type exploitdb
Reporter Nadeem Salim
Modified 2012-06-14T00:00:00

Description

Squiz CMS Multiple Cross Site Scripting and XML External Entity Injection Vulnerabilities. Webapps exploit for java platform

                                        
                                            source: http://www.securityfocus.com/bid/54049/info

Squiz CMS is prone to multiple cross-site scripting vulnerabilities and an XML external entity injection vulnerability because it fails to properly sanitize user-supplied input.

Attackers may exploit these issues to execute arbitrary code in the context of the affected browser, potentially allowing the attacker to steal cookie-based authentication credentials, to perform XML based attacks (including local file disclosure), TCP port scans, and a denial of service (DoS) condition; other attacks are also possible.

Squiz CMS 4.6.3 is vulnerable; other versions may also be affected. 

http://www.example.com/_admin/?SQ_BACKEND_PAGE=main&backend_section=am&am_section=edit_asset"><script>alert(document.cookie)</script>&assetid=73&sq_asset_path=%2C1%2C73&sq_link_path=%2C0%2C74&asset_ei_screen=details [XSS]